## com.declarativa.interprolog.util
Class VariableNode

    java.lang.Object
      |
      +--com.declarativa.interprolog.util.VariableNode

All Implemented Interfaces:
  Serializable

public class VariableNode
extends Object
implements Serializable

TermModel node for a free Prolog variable. Each free Prolog variable at TermModel construction time corresponds to a globally unique Integer number, as enforced by ip_inc_var_counter in interprolog.P.

See Also:
  Serialized Form

Method Summary
`boolean` `equals(Object x)`
`static ObjectExamplePair` `example()`
`String` `toString()`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### example

    public static ObjectExamplePair example()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### equals

    public boolean equals(Object x)

  Overrides:
    `equals` in class `Object`